Page MenuHomePhabricator

Consolidate handling of SSH usernames
ClosedPublic

Authored by epriestley on Apr 19 2016, 1:03 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Aug 10, 3:52 PM
Unknown Object (File)
Wed, Aug 10, 6:50 AM
Unknown Object (File)
Mon, Aug 8, 11:20 PM
Unknown Object (File)
Mon, Aug 8, 11:20 PM
Unknown Object (File)
Mon, Aug 8, 11:20 PM
Unknown Object (File)
Jul 7 2022, 12:42 AM
Unknown Object (File)
Jul 6 2022, 7:41 AM
Unknown Object (File)
Jul 4 2022, 2:06 PM
Subscribers
None

Details

Summary

Ref T4292. This consolidates code for figuring out which user we should connect to hosts with.

Also narrows a lock window.

Test Plan

Browsed Diffusion, pulled and pushed through an SSH proxy.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Consolidate handling of SSH usernames.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad edited edge metadata.
This revision is now accepted and ready to land.Apr 19 2016, 5:23 PM
This revision was automatically updated to reflect the committed changes.